#include <bits/stdc++.h>
using namespace std;
int sreca(int k1, int k2){
	int p = k1 + k2;
	int n = k1 * (-1) + k2 * (-1);
	if(p>=n) return p;
	else return n; 
}
int main(int argc, char** argv) {
	int n,m,ind=0,ukupno=0;
	cin>>n>>m;
	int koef[n];
	int poz[m*2];
	for(int i=0;i<n;i++){
		cin>>koef[i];
	}
	for(int i = 0; i<m; i++){
		cin>>poz[ind++]>>poz[ind++];
	}
	ind = 0;
	for(int i = 0; i<m; i++){
		ukupno += sreca(koef[poz[ind++]-1],koef[poz[ind++]-1]);
	}
	cout<<ukupno;
	return 0;
}